import { type CheerioAPI } from 'cheerio';
import type esbuild from 'esbuild';
import { TagCollection } from './tag.js';
interface ICache {
    readonly filepath: string;
    readonly content: CheerioAPI;
    readonly mtime: Date;
    readonly tags: TagCollection;
    result: esbuild.OnLoadResult;
}
export declare class HtmlEntryPlugin {
    private readonly cache;
    private readonly sourceRoot;
    private readonly commonParent;
    private readonly _resolve;
    constructor(build: esbuild.PluginBuild);
    onEnd(args: esbuild.BuildResult): Promise<esbuild.OnEndResult | null>;
    protected findByInput(path: string): ICache | null;
    onResolve(args: esbuild.OnResolveArgs): null | esbuild.OnResolveResult;
    onLoad(args: esbuild.OnLoadResult): Promise<esbuild.OnLoadResult>;
    private tryResolve;
    private work;
}
export declare class ESBuildHtmlEntry implements esbuild.Plugin {
    readonly name = "html-creation";
    setup(build: esbuild.PluginBuild): void;
}
export {};
//# sourceMappingURL=main.d.ts.map